---
document: modulemd
version: 2
data:
  name: satellite-5-client
  stream: "1.0"
  version: 8030020210125144138
  context: cdc1202b
  arch: x86_64
  summary: Red Hat Satellite 5 client packages
  description: >-
    Red Hat Satellite 5 client packages provide programs and libraries to allow your
    system to receive software updates from Red Hat Satellite 5.
  license:
    module:
    - MIT
    content:
    - GPLv2
  dependencies:
  - buildrequires:
      platform: [el8.1.0]
    requires:
      platform: [el8]
  references:
    community: https://github.com/spacewalkproject/spacewalk/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/
    tracker: https://cloudlinux.zendesk.com/
  profiles:
    common:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhnlib
      - rhnsd
    gui:
      rpms:
      - dnf-plugin-spacewalk
      - rhn-client-tools
      - rhn-setup
      - rhn-setup-gnome
      - rhnlib
      - rhnsd
  components:
    rpms:
      dnf-plugin-spacewalk:
        rationale: DNF plugin for communication with Red Hat Satellite 5.
        ref: 3866e6ba3c333d2afa5e6a194c1e34c082978a67
        buildorder: 10
        arches: [i686, x86_64]
      rhn-client-tools:
        rationale: Binaries to allow system to receive software updates from Red Hat
          Satellite 5.
        ref: bf5f5bf0cf0388035f5e713843557a5d77d2b50c
        buildorder: 10
        arches: [i686, x86_64]
      rhnlib:
        rationale: Libraries to allow system to receive software updates from Red
          Hat Satellite 5.
        ref: 5aba2fcbd4ce2a4d58e63ea7ee99d7a55f9003c2
        buildorder: 10
        arches: [i686, x86_64]
      rhnsd:
        rationale: Red Hat Satellite update agent.
        ref: 7cf3316ab31d335ebfd427b6f875c3f140257e61
        buildorder: 10
        arches: [i686, x86_64]
  artifacts:
    rpms:
    - dnf-plugin-spacewalk-0:2.8.5-11.module_el8.3.0+2053+3ddf2832.noarch
    - dnf-plugin-spacewalk-0:2.8.5-11.module_el8.3.0+2053+3ddf2832.src
    - python3-dnf-plugin-spacewalk-0:2.8.5-11.module_el8.3.0+2053+3ddf2832.noarch
    - python3-rhn-check-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - python3-rhn-client-tools-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - python3-rhn-setup-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - python3-rhn-setup-gnome-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - python3-rhnlib-0:2.8.6-8.module_el8.3.0+2053+3ddf2832.noarch
    - rhn-check-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - rhn-client-tools-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.src
    - rhn-client-tools-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - rhn-setup-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - rhn-setup-gnome-0:2.8.16-13.module_el8.3.0+2053+3ddf2832.x86_64
    - rhnlib-0:2.8.6-8.module_el8.3.0+2053+3ddf2832.noarch
    - rhnlib-0:2.8.6-8.module_el8.3.0+2053+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.3.0+2053+3ddf2832.src
    - rhnsd-0:5.0.35-3.module_el8.3.0+2053+3ddf2832.x86_64
    - rhnsd-debuginfo-0:5.0.35-3.module_el8.3.0+2053+3ddf2832.x86_64
    - rhnsd-debugsource-0:5.0.35-3.module_el8.3.0+2053+3ddf2832.x86_64
...
